curl --request GET \
--url https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim \
--header 'Authorization: Bearer <token>'import requests
url = "https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"libraryName": "/acme/docs",
"claimed": true,
"ownedByTeamspace": true,
"method": "repository",
"publicKey": "<string>",
"fileName": "context7.json",
"fileContent": "{\n \"url\": \"https://context7.com/acme/docs\",\n \"public_key\": \"pk_...\"\n}",
"repositoryUrl": "<string>",
"hostUnder": "<string>"
}{
"error": "not_claimable",
"message": "This kind of library cannot be claimed."
}{
"error": "invalid_api_key",
"message": "Invalid API key. Please check your API key. API keys should start with 'ctx7sk' prefix."
}{
"error": "forbidden",
"message": "You do not have access to this teamspace."
}{
"error": "library_not_found",
"message": "Library not found."
}{
"error": "internal_error",
"message": "An error occurred while processing your request"
}Get claim instructions
The context7.json to publish to claim a library for this teamspace, with the teamspace’s public key. The library need not belong to the teamspace yet. Publish the file, then call the verify operation.
curl --request GET \
--url https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim \
--header 'Authorization: Bearer <token>'import requests
url = "https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://context7.com/api/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"libraryName": "/acme/docs",
"claimed": true,
"ownedByTeamspace": true,
"method": "repository",
"publicKey": "<string>",
"fileName": "context7.json",
"fileContent": "{\n \"url\": \"https://context7.com/acme/docs\",\n \"public_key\": \"pk_...\"\n}",
"repositoryUrl": "<string>",
"hostUnder": "<string>"
}{
"error": "not_claimable",
"message": "This kind of library cannot be claimed."
}{
"error": "invalid_api_key",
"message": "Invalid API key. Please check your API key. API keys should start with 'ctx7sk' prefix."
}{
"error": "forbidden",
"message": "You do not have access to this teamspace."
}{
"error": "library_not_found",
"message": "Library not found."
}{
"error": "internal_error",
"message": "An error occurred while processing your request"
}Authorizations
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely. Every key can read the management API (/v2/teamspaces/*), except personal data: member and invitation emails, library requesters, visitor questions, Docs7 reader searches, conversations, feedback and feature requests, and the GitHub account behind a build. To read those or make changes there, the key must be created with Write access ticked; other keys get 403 write_access_required.
Path Parameters
Teamspace id (uuid).
First segment of the library id /owner/repo (for example vercel in /vercel/next.js, websites in /websites/docs_example_com). Case-insensitive.
Second segment of the library id /owner/repo. Case-insensitive.
Response
Claim instructions
"/acme/docs"
Some teamspace has claimed the library.
This teamspace has claimed it.
repository: commit the file to the root of the repository's default branch. hostedFile: host it anywhere under hostUnder (websites, llms.txt, OpenAPI).
repository, hostedFile The teamspace's public key.
context7.json The file to publish, as text.
"{\n \"url\": \"https://context7.com/acme/docs\",\n \"public_key\": \"pk_...\"\n}"
The repository to commit to (repository).
The file's URL must start with this URL (hostedFile).
Was this page helpful?